VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::ScaleOutParams Class Reference

The `ScaleOutParams` class contains information about the scale-out groups described in the OVF package. More...

List of all members.

## Public Member Functions
| ScaleOutParams ()
| Creates a default new instance.
global::System.Collections.Generic.List < vmware.vcenter.ovf.ScaleOutGroup > | GetGroups ()
| The list of scale-out groups.
void | SetGroups (global::System.Collections.Generic.List< vmware.vcenter.ovf.ScaleOutGroup > groups)
| The list of scale-out groups.
string | Get_Type ()
| Unique identifier describing the type of the OVF parameters.
void | SetType (string type)
| Unique identifier describing the type of the OVF parameters.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ScaleOutParams` class contains information about the scale-out groups described in the OVF package.

When deploying an OVF package, a deployment specific instance count can be specified (see ScaleOutGroup.instanceCount .

This is based on the ovf2:ScaleOutSection.

See LibraryItem.Deploy and LibraryItem.Filter

## Constructor & Destructor Documentation

vmware::vcenter::ovf::ScaleOutParams::ScaleOutParams | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::ScaleOutParams::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::ScaleOutParams::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::ScaleOutParams::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::ScaleOutParams::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::ScaleOutParams::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::ScaleOutParams::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::ovf::ScaleOutParams::Get_Type | ( |  | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

global::System.Collections.Generic.List<vmware.vcenter.ovf.ScaleOutGroup> vmware::vcenter::ovf::ScaleOutParams::GetGroups | ( |  | ) | `[inline]`

The list of scale-out groups.

override int vmware::vcenter::ovf::ScaleOutParams::GetHashCode | ( |  | ) | `[inline]`

void vmware::vcenter::ovf::ScaleOutParams::SetGroups | ( | global::System.Collections.Generic.List< vmware.vcenter.ovf.ScaleOutGroup > | groups | ) | `[inline]`

The list of scale-out groups.

void vmware::vcenter::ovf::ScaleOutParams::SetType | ( | string | type | ) | `[inline]`

Unique identifier describing the type of the OVF parameters.

The value is the name of the OVF parameters class.

override string vmware::vcenter::ovf::ScaleOutParams::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ScaleOutParams.cs